<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
	<div class="page-header">
		<div class="container-fluid">
			<div class="pull-right"><a onclick="editSearch();" id="button-edit" data-toggle="tooltip" style="display:none;" title="<?php echo $button_edit; ?>" class="btn btn-primary"><i class="fa fa-pencil"></i></a> <a onclick="doSearch();" id="button-search" data-toggle="tooltip" title="<?php echo $button_search; ?>" class="btn btn-info"><i class="fa fa-search"></i></a></div>
			<h1><i class="fa fa-search"></i> <?php echo $heading_title; ?></h1>
			<ul class="breadcrumb">
				<?php foreach ($breadcrumbs as $breadcrumb) { ?>
					<li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
				<?php } ?>
			</ul>
		</div>
	</div>
	<div class="container-fluid">
		<div class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title"><i class="fa fa-list"></i> <?php echo $heading_title; ?></h3>
			</div>
			<div class="panel-body">
				<div id="search-input">
					<form id="form" class="form-horizontal">

						<h3><?php echo $text_date_search; ?></h3>
						<div class="form-group">
							<label class="col-sm-2 control-label"><?php echo $entry_date_start; ?></label>
							<div class="col-sm-10">
								<div class="input-group date">
									<input type="text" name="date_start" value="<?php echo $date_start; ?>" placeholder="<?php echo $text_format; ?>: yy-mm-dd" data-date-format="YYYY-MM-DD" class="form-control" />
                  <span class="input-group-btn">
                  <button type="button" class="btn btn-default"><i class="fa fa-calendar"></i></button>
                  </span></div>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-2 control-label"><?php echo $entry_date_end; ?></label>
							<div class="col-sm-10">
								<div class="input-group date">
									<input type="text" name="date_end" value="<?php echo $date_end; ?>" placeholder="<?php echo $text_format; ?>: yy-mm-dd" data-date-format="YYYY-MM-DD" class="form-control" />
                  <span class="input-group-btn">
                  <button type="button" class="btn btn-default"><i class="fa fa-calendar"></i></button>
                  </span></div>
							</div>
						</div>

						<h3><?php echo $entry_transaction; ?></h3>
						<div class="form-group">
							<label class="col-sm-2 control-label"><?php echo $entry_status; ?></label>
							<div class="col-sm-10">
								<select name="status" class="form-control">
									<option value="ALL"><?php echo 'All'; ?></option>
									<option value="PENDING"><?php echo 'Pending'; ?></option>
									<option value="APPROVED"><?php echo 'Approved' ;?></option>
									<option value="DECLINED"><?php echo 'Declined' ;?></option>
								</select>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-2 control-label"><?php echo $entry_transaction_type; ?></label>
							<div class="col-sm-10">
								<select name="transaction_type" class="form-control">
									<option value="ALL"><?php echo $entry_trans_all;?></option>
									<option value="DEBIT"><?php echo $entry_debit;?></option>
									<option value="CREDIT"><?php echo $entry_credit;?></option>
									<option value="RETURN"><?php echo $entry_return;?></option>
								</select>
							</div>
						</div>
					</form>
				</div>
				<div id="search-box" style="display:none;">
					<div id="searching"><i class="fa fa-circle-o-notch fa-spin fa-lg"></i> <?php echo $text_searching; ?></div>
					<div style="display:none;" id="error" class="alert alert-danger"></div>
					<table id="search_results" style="display:none;" class="table table-striped table-bordered" >
					</table>
				</div>
			</div>
		</div>
	</div>
	<script type="text/javascript"><!--
		function doSearch() {
			var html;

			$.ajax({
				type: 'POST',
				dataType: 'json',
				data: $('#form').serialize(),
				url: 'index.php?route=payment/quantum/doSearch&token=<?php echo $token; ?>',
				beforeSend: function () {
					$('#search-input').hide();
					$('#search-box').show();
					$('#button-search').hide();
					$('#button-edit').show();
				},
				success: function (data) {
					if (data.ResponseSummary.Status === "ERROR") {
						$('#searching').hide();
						$('#error')
							.html('<i class="fa fa-exclamation-circle"></i> <span></span>')
							.fadeIn()
							.find('span')
							.text(data.ResponseSummary.Status + ": " + data.ResponseSummary.StatusDescription + " (result count is " + data.ResponseSummary.ResultCount + ")");
					} else {
						if (data.Result != '') {
							html += '<thead><tr>';
							html += '<td class="left"><?php echo $tbl_column_ach_status; ?></td>';
							html += '<td class="left"><?php echo $tbl_column_ach_status_desc; ?></td>';
							html += '<td class="left"><?php echo $tbl_column_ach_trans_id; ?></td>';
							html += '<td class="left"><?php echo $tbl_column_amount; ?></td>';
							html += '<td class="left"><?php echo $tbl_column_cust_id; ?></td>';
							html += '<td class="left"><?php echo $tbl_column_memo; ?></td>';
							html += '<td class="left"><?php echo $tbl_column_payment_type; ?></td>';
							html += '<td class="right"><?php echo $tbl_column_settlement_id; ?></td>';
							html += '<td class="right"><?php echo $tbl_column_settlement_date; ?></td>';
							html += '<td class="right"><?php echo $tbl_column_status; ?></td>';
							html += '<td class="center"><?php echo $tbl_column_date; ?></td>';
							html += '<td class="center"><?php echo $tbl_column_time; ?></td>';
							html += '<td class="center"><?php echo $tbl_column_trans_type; ?></td>';
							html += '<td class="center"><?php echo $tbl_column_action; ?></td>';
							html += '</tr></thead>';

							if (Array.isArray(data.Result)) {
								$.each(data.Result, function (k, v) {

									if (typeof v.ACHStatus === 'object') {
										v.ACHStatus = 'None';
									}
									if (typeof v.ACHStatusDescription === 'object') {
										v.ACHStatusDescription = 'None';
									}
									if (typeof v.ACHTransactionID === 'object') {
										v.ACHTransactionID = 'None';
									}
									if (typeof v.CustomerID === 'object') {
										v.CustomerID = 'None';
									}
									if (typeof v.SettlementDate === 'object') {
										v.SettlementDate = 'None';
									}
									if (typeof v.Memo === 'object') {
										v.Memo = 'None';
									}

									html += '<tr>';
									html += '<td class="left">' + v.ACHStatus + '</td>';
									html += '<td class="left">' + v.ACHStatusDescription + '</td>';
									html += '<td class="left">' + v.ACHTransactionID + '</td>';
									html += '<td class="left">' + v.Amount + '</td>';
									html += '<td class="left">' + v.CustomerID + '</td>';
									html += '<td class="left">' + v.Memo + '</td>';
									html += '<td class="left">' + v.PaymentType + '</td>';
									html += '<td class="right">' + v.SettlementBatchID + '</td>';
									html += '<td class="right">' + v.SettlementDate + '</td>';
									html += '<td class="right">' + v.Status + '</td>';
									html += '<td class="right">' + v.TransactionDate + '</td>';
									html += '<td class="right">' + v.TransactionTime + '</td>';
									html += '<td class="right">' + v.TransactionType + '</td>';
									html += '<td class="center">';
									html += '<a href="<?php echo $view_link; ?>&transaction_id=' + v.TransactionID + '"><?php echo $text_view; ?></a>';
									html += '</td>';
									html += '</tr>';
								});
							} else if (data.ResponseSummary.ResultCount === "1") {
								var v = data.Result;

								if (typeof v.ACHStatus === 'object') {
									v.ACHStatus = 'None';
								}
								if (typeof v.ACHStatusDescription === 'object') {
									v.ACHStatusDescription = 'None';
								}
								if (typeof v.ACHTransactionID === 'object') {
									v.ACHTransactionID = 'None';
								}
								if (typeof v.CustomerID === 'object') {
									v.CustomerID = 'None';
								}
								if (typeof v.SettlementDate === 'object') {
									v.SettlementDate = 'None';
								}
								if (typeof v.Memo === 'object') {
									v.Memo = 'None';
								}

								html += '<tr>';
								html += '<td class="left">' + v.ACHStatus + '</td>';
								html += '<td class="left">' + v.ACHStatusDescription + '</td>';
								html += '<td class="left">' + v.ACHTransactionID + '</td>';
								html += '<td class="left">' + v.Amount + '</td>';
								html += '<td class="left">' + v.CustomerID + '</td>';
								html += '<td class="left">' + v.Memo + '</td>';
								html += '<td class="left">' + v.PaymentType + '</td>';
								html += '<td class="right">' + v.SettlementBatchID + '</td>';
								html += '<td class="right">' + v.SettlementDate + '</td>';
								html += '<td class="right">' + v.Status + '</td>';
								html += '<td class="right">' + v.TransactionDate + '</td>';
								html += '<td class="right">' + v.TransactionTime + '</td>';
								html += '<td class="right">' + v.TransactionType + '</td>';
								html += '<td class="center">';
								html += '<a href="<?php echo $view_link; ?>&transaction_id=' + v.TransactionID + '"><?php echo $text_view; ?></a>';
								html += '</td>';
								html += '</tr>';
							}

							$('#searching').hide();
							$('#search_results').append(html).fadeIn();
						} else {
							$('#searching').hide();
							$('#error').html('<i class="fa fa-exclamation-circle"></i> <?php echo $text_no_results; ?>').fadeIn();
						}
					}
				}
			});
		}

		function editSearch() {
			$('#search-box').hide();
			$('#search-input').show();
			$('#button-edit').hide();
			$('#button-search').show();
			$('#searching').show();
			$('#search_results').empty().hide();
			$('#error').empty().hide();
		}
		//--></script>
	<script type="text/javascript"><!--
		$('.date').datetimepicker({
			pickTime: false
		});

		$('.time').datetimepicker({
			pickDate: false
		});

		$('.datetime').datetimepicker({
			pickDate: true,
			pickTime: true
		});
		//--></script></div>
<?php echo $footer; ?>
