<?php echo $header; ?><?php echo $column_left; ?>
	<div id="content">
		<div class="page-header">
			<div class="container-fluid">
				<div class="pull-right"><a href="<?php echo $cancel; ?>" class="btn btn-primary"><i class="fa fa-reply"></i> <?php echo $button_cancel; ?></a></div>
				<h1><?php echo $heading_title; ?></h1>
				<ul class="breadcrumb">
					<?php foreach ($breadcrumbs as $breadcrumb) { ?>
						<li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
					<?php } ?>
				</ul>
			</div>
		</div>
		<div class="container-fluid">
			<div class="panel panel-default">
				<div class="panel-heading">
					<h3 class="panel-title"><i class="fa fa-list"></i> <?php echo $heading_title; ?></h3>
				</div>
				<?php if ($action_status) : ?>
					<div class="panel-body">
						<div class="alert alert-<?php echo $alert_type; ?>" role="alert">
							<strong><?php echo htmlentities($action_status); ?>:</strong>
							<?php echo htmlentities($action_status_desc); ?>
						</div>
					</div>
				<?php endif; ?>
				<div class="panel-body">
					<table class="table table-striped table-bordered">
						<tr>
							<th>Actions</th>
							<td>
								<?php if (isset($lines['ProcessType']) && ($lines['ProcessType'] == 'RETURN' || $lines['ProcessType'] == 'VOID')) : ?>
									&mdash;
								<?php elseif (isset($lines['Status']) && $lines['Status'] == 'VOIDED') : ?>
									&mdash;
								<?php elseif (isset($lines['Status']) && $lines['Status'] == 'DECLINED') : ?>
									&mdash;
								<?php else : ?>
									<?php if (!isset($lines['SettlementBatchID']) || $lines['SettlementBatchID'] == '&mdash;') : ?>
										<form id="quantum-void-transaction" action="<?php echo $void_link; ?>" method="post" style="display: inline-block;">
											<input type="hidden" name="transaction_id" value="<?php echo $lines['TransactionID']; ?>" />
											<input type="submit" value="Void" class="btn btn-warning btn-sm" />
										</form>
									<?php endif; ?>
									<?php if (isset($lines['ProcessType']) && $lines['ProcessType'] == 'AUTH_ONLY' && isset($lines['Status']) && $lines['Status'] == 'APPROVED') : ?>
										<form id="quantum-force-auth-transaction" action="<?php echo $force_auth_link; ?>" method="post" style="display: inline-block;">
											<input type="hidden" name="transaction_id" value="<?php echo $lines['TransactionID']; ?>" />
											<input type="submit" value="Force Auth" class="btn btn-danger btn-sm" />
										</form>
									<?php endif; ?>
									<?php if (isset($lines['SettlementBatchID']) && $lines['SettlementBatchID'] != '&mdash;') : ?>
										<form id="quantum-return-transaction" action="<?php echo $return_link; ?>" method="post" style="display: inline-block;">
											<input type="hidden" name="transaction_id" value="<?php echo $lines['TransactionID']; ?>" />
											<input type="hidden" name="credit_card_number" value="<?php echo isset($lines['CreditCardNumber']) ? $lines['CreditCardNumber'] : ''; ?>" />
											<input type="submit" value="Return" class="btn btn-danger btn-sm" />
										</form>
									<?php endif; ?>
								<?php endif; ?>
							</td>
						</tr>
						<?php if (isset($lines['TransactionID'])) { ?>
							<tr>
								<th><?php echo $text_transaction_id; ?></td>
								<td><?php echo $lines['TransactionID']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['TransactionType'])) { ?>
							<tr>
								<th><?php echo $text_transaction_type; ?></td>
								<td><?php echo $lines['TransactionType']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['TransactionDate'])) { ?>
							<tr>
								<th><?php echo $text_transaction_date; ?></td>
								<td><?php echo $lines['TransactionDate']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['Status'])) { ?>
							<tr>
								<th><?php echo $text_status; ?></td>
								<td><?php echo $lines['Status']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['StatusDescription'])) { ?>
							<tr>
								<th><?php echo $text_status_desc; ?></td>
								<td><?php echo $lines['StatusDescription']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['ProcessType'])) { ?>
							<tr>
								<th><?php echo $text_process_type; ?></td>
								<td><?php echo $lines['ProcessType']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['ACHTransactionID'])) { ?>
							<tr>
								<th><?php echo $text_ach_transaction_id; ?></td>
								<td><?php echo $lines['ACHTransactionID']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['ACHStatus'])) { ?>
							<tr>
								<th><?php echo $text_ach_status; ?></td>
								<td><?php echo $lines['ACHStatus']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['ACHStatusDescription'])) { ?>
							<tr>
								<th><?php echo $text_ach_status_desc; ?></td>
								<td><?php echo $lines['ACHStatusDescription']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['Amount'])) { ?>
							<tr>
								<th><?php echo $text_amount; ?></td>
								<td><?php echo $lines['Amount']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['CustomerID'])) { ?>
							<tr>
								<th><?php echo $text_customer_id; ?></td>
								<td><?php echo $lines['CustomerID']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['FirstName'])) { ?>
							<tr>
								<th><?php echo $text_first_name; ?></td>
								<td><?php echo $lines['FirstName']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['LastName'])) { ?>
							<tr>
								<th><?php echo $text_last_name; ?></td>
								<td><?php echo $lines['LastName']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['Address'])) { ?>
							<tr>
								<th><?php echo $text_address; ?></td>
								<td><?php echo $lines['Address']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['ZipCode'])) { ?>
							<tr>
								<th><?php echo $text_zip_code; ?></td>
								<td><?php echo $lines['ZipCode']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['EmailAddress'])) { ?>
							<tr>
								<th><?php echo $text_email; ?></td>
								<td><?php echo $lines['EmailAddress']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['Memo'])) { ?>
							<tr>
								<th><?php echo $text_memo; ?></td>
								<td><?php echo $lines['Memo']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['PaymentType'])) { ?>
							<tr>
								<th><?php echo $text_payment_type; ?></td>
								<td><?php echo $lines['PaymentType']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['CardType'])) { ?>
							<tr>
								<th><?php echo $text_card_type; ?></td>
								<td><?php echo $lines['CardType']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['CreditCardNumber'])) { ?>
							<tr>
								<th><?php echo $text_credit_card_number; ?></td>
								<td><?php echo $lines['CreditCardNumber']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['ExpireMonth'])) { ?>
							<tr>
								<th><?php echo $text_expire_month; ?></td>
								<td><?php echo $lines['ExpireMonth']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['ExpireYear'])) { ?>
							<tr>
								<th><?php echo $text_expire_year; ?></td>
								<td><?php echo $lines['ExpireYear']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['ABANumber'])) { ?>
							<tr>
								<th><?php echo $text_aba_number; ?></td>
								<td><?php echo $lines['ABANumber']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['AccountNumber'])) { ?>
							<tr>
								<th><?php echo $text_account_number; ?></td>
								<td><?php echo $lines['AccountNumber']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['SettlementBatchID'])) { ?>
							<tr>
								<th><?php echo $text_settlement_batch_id; ?></td>
								<td><?php echo $lines['SettlementBatchID']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['SettlementDate'])) { ?>
							<tr>
								<th><?php echo $text_settlement_date; ?></td>
								<td><?php echo $lines['SettlementDate']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['BatchedOut'])) { ?>
							<tr>
								<th><?php echo $text_batched_out; ?></td>
								<td><?php echo $lines['BatchedOut']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['AuthorizationCode'])) { ?>
							<tr>
								<th><?php echo $text_authorization_code; ?></td>
								<td><?php echo $lines['AuthorizationCode']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['CVV2ResponseCode'])) { ?>
							<tr>
								<th><?php echo $text_cvv2_response_code; ?></td>
								<td><?php echo $lines['CVV2ResponseCode']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['AVSResponseCode'])) { ?>
							<tr>
								<th><?php echo $text_avs_response_code; ?></td>
								<td><?php echo $lines['AVSResponseCode']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['SFNAME'])) { ?>
							<tr>
								<th><?php echo $text_ship_first_name; ?></td>
								<td><?php echo $lines['SFNAME']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['SLNAME'])) { ?>
							<tr>
								<th><?php echo $text_ship_last_name; ?></td>
								<td><?php echo $lines['SLNAME']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['SADDRESS'])) { ?>
							<tr>
								<th><?php echo $text_ship_address; ?></td>
								<td><?php echo $lines['SADDRESS']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($lines['SCITY'])) { ?>
							<tr>
								<th><?php echo $text_ship_city; ?></td>
								<td><?php echo $lines['SCITY']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($transaction['SSTATE'])) { ?>
							<tr>
								<th><?php echo $text_ship_state; ?></td>
								<td><?php echo $transaction['SSTATE']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($transaction['SZIP1'])) { ?>
							<tr>
								<th><?php echo $text_ship_zip_1; ?></td>
								<td><?php echo $transaction['SZIP1']; ?></td>
							</tr>
						<?php } ?>
						<?php if (isset($transaction['SCOUNTRY'])) { ?>
							<tr>
								<th><?php echo $text_ship_country; ?></td>
								<td><?php echo $transaction['SCOUNTRY']; ?></td>
							</tr>
						<?php } ?>
					</table>
				</div>
			</div>
		</div>
	</div>
	<script type="text/javascript">
		$('#quantum-void-transaction').on('submit', function(e) {
			var doVoid = confirm("Are you sure you want to VOID this transaction")
			if (!doVoid) {
				e.preventDefault();
			}
		});
		$('#quantum-force-auth-transaction').on('submit', function(e) {
			var doVoid = confirm("Are you sure you want to Force Auth this transaction")
			if (!doVoid) {
				e.preventDefault();
			}
		});
		$('#quantum-return-transaction').on('submit', function(e) {
			var doVoid = confirm("Are you sure you want to Return this transaction")
			if (!doVoid) {
				e.preventDefault();
			}
		});
	</script>
<?php echo $footer; ?>