<?php if ($ssl_is_on) : ?>
<form action="<?php echo $action; ?>" method="post" id="quantum-form">
	<div class="buttons">
		<div class="pull-left">
			<?php if ($quantum_existing_customer) : ?>
			<div><label><input type="radio" name="quantum_option" value="0" checked="checked" /> <?php echo $text_use_saved_data; ?></label></div>
			<?php endif; ?>
			<div><label><input type="radio" name="quantum_option" value="1" <?php echo !$quantum_existing_customer ? 'checked="checked"' : ''; ?> /> <?php echo $text_store_to_vault; ?></label></div>
			<div><label><input type="radio" name="quantum_option" value="2" /> <?php echo $text_dont_do_anything; ?></label></div>
		</div>
		<div class="pull-right"><input id="quantum-confirm-button" type="submit" value="<?php echo $button_confirm; ?>" class="btn btn-primary" /></div>
	</div>
	<?php if (true) : ?>
	<iframe id="quantum-frame" src="" width="0" height="0" frameborder="0"></iframe>
	<script type="text/javascript"><!--
		$('#quantum-form').on('submit', function(e) {
			e.preventDefault();
			$.ajax({
				url: 'index.php?route=payment/quantum/authenticate',
				type: 'post',
				data: $('#quantum-form :input'),
				dataType: 'json',
				beforeSend: function() {
					$('#button-quantum-confirm').attr('disabled', true);
					$('#payment').before('<div class="alert alert-info"><i class="fa fa-info-circle"></i> <?php echo $text_wait; ?></div>');
				},
				complete: function() {
					$('#button-quantum-confirm').attr('disabled', false);
				},
				success: function(json) {

					var url = 'https://secure.quantumgateway.com/cgi/ilf.php?k=' + json.key +
						'&ip=' + "<?php echo $lastip; ?>" +
						'&ID=' + '<?php echo $order_id; ?>' +
						'&Amount=' + '<?php echo $amount; ?>' +
						'&post_return_url_approved=' + "<?php echo $return_success; ?>" +
						'&post_return_url_declined=' + "<?php echo $return_failure; ?>" +
						'&FNAME=' + '<?php echo $first_name; ?>' +
						'&LNAME=' + '<?php echo $last_name; ?>' +
						'&BCITY=' + '<?php echo $city; ?>' +
						'&BSTATE=' + '<?php echo $state; ?>' +
						'&BCOUNTRY=' + '<?php echo $country; ?>' +
						'&BZIP1=' + '<?php echo $zip; ?>' +
						'&BADDR1=' + '<?php echo $address; ?>' +
						'&BCUST_EMAIL=' + '<?php echo $email; ?>' +
						'&phone=' + '<?php echo $phone; ?>' +
						'&SFNAME=' + '<?php echo $shipping_first_name; ?>' +
						'&SLNAME=' + '<?php echo $shipping_last_name; ?>' +
						'&SCITY=' + '<?php echo $shipping_city; ?>' +
						'&SSTATE=' + '<?php echo $shipping_state; ?>' +
						'&SCOUNTRY=' + '<?php echo $shipping_country; ?>' +
						'&SZIP1=' + '<?php echo $shipping_zip; ?>' +
						'&SADDR1=' + '<?php echo $shipping_address; ?>' +
						'&override_trans_email=' + '<?php echo $override_trans_email; ?>' +
						'&override_email_customer=' + '<?php echo $override_email_customer; ?>' +
						'&skip_shipping_info=Y' +
						<?php if ($quantum_customer_id) : ?>
						'&CustomerID=' + '<?php echo $quantum_customer_id; ?>' +
						<?php endif; ?>
						'&trans_type=' + '<?php echo $trans_type; ?>';
						

					var quantum_option = $('input[name="quantum_option"]:checked').val();

					if (quantum_option === '0') {
						url += '&METHOD=CreateTransaction'
					} else if (quantum_option === '1') {
						url += '&AddToVault=Y'
					}


					$('#button-quantum-confirm').attr('disabled', true);

					$('#quantum-frame')
						.width(800)
						.height(800)
						.attr('src', url);
				}
			});
		});
		//--></script>
	<?php endif; ?>
</form>
<?php else : ?>
<p>The Quantum Gateway requires the use of SSL in the checkout page. Please go through the checkout page again but this time
	using a safe connection.</p>
<p><a href="<?php echo $ssl_link; ?>" class="btn btn-primary">Safe Checkout</a></p>
<?php endif; ?>
